%define upstream_name    Catalyst-Model-SVN
%define upstream_version 0.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Helper for SVN Models
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:     0.13-disable-kwalitee-tests.patch
Patch2:     0.13-disable-ra-path-test.patch
Patch3:     fix-deps.patch

BuildRequires: perl(Catalyst::Devel)
BuildRequires: perl(Catalyst::Runtime)
BuildRequires: perl(DateTime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Path::Class)
BuildRequires: perl(SVN::Core)
BuildRequires: perl(Test::Exception)
BuildRequires: subversion-tools
BuildArch:  noarch

%description
This model class uses the perl-subversion bindings to access a Subversion
repository and list items and view their contents. It is currently only a
read-only client but may expand to be a fill fledged client at a later
time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Mar 30 2022 tv <tv> 0.130.0-6.mga9
+ Revision: 1834924
- Add missing BR on Test::Exception thus fixing testsuite

* Wed Feb 12 2020 umeabot <umeabot> 0.130.0-6.mga8
+ Revision: 1493454
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.130.0-5.mga7
+ Revision: 1265955
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.130.0-4.mga6
+ Revision: 1023226
- Rebuild for perl 5.22.2

* Tue Feb 09 2016 umeabot <umeabot> 0.130.0-3.mga6
+ Revision: 952571
- Mageia 6 Mass Rebuild

* Wed Mar 04 2015 shlomif <shlomif> 0.130.0-2.mga5
+ Revision: 817636
- Fix build failures

* Wed Dec 24 2014 buchan <buchan> 0.130.0-1.mga5
+ Revision: 805227
- imported package perl-Catalyst-Model-SVN

